<?php
	// ----------------------------------------------------------------------------------------------
	// Module settings
	// ----------------------------------------------------------------------------------------------
	$netim_debug=false;
	$netim_api_debug=false;

    // ------------------------------------------------
    // Packages
    // ------------------------------------------------

    // URL to retreive the tld list available
    Configure::set('Netim.tlds_url', "https://www.netim.com/tld-list.xml");

    // URL to retreive the pricing list
    Configure::set('Netim.pricing_url_ote', "https://oteweb.netim.com/bin/pricing.php");
    Configure::set('Netim.pricing_url', "https://www.netim.com/bin/pricing.php");

    // List of tlds that cannot be sold in Blesta
    Configure::set('Netim.rejected_tlds', array());

    // ------------------------------------------------
    // Services
    // ------------------------------------------------

    // Transfer fields
    Configure::set('Netim.transfer_fields', array(
        'domain' => array(
            'label' => Language::_('Netim.transfer.domain', true),
            'type' => 'text'
        ),
        'transfer' => array(
            'label' => "nolabel",
            'type' => 'text'
        ),
        'transfer_key' => array(
            'label' => Language::_('Netim.transfer.transfer_key', true),
            'type' => 'text'
        )
    ));

    // Registration fields
    Configure::set('Netim.domain_fields', array(
        'domain' => array(
            'label' => Language::_('Netim.domain.domain', true),
            'type' => 'text'
        ),
    ));

    // Nameserver fields
    Configure::set('Netim.nameserver_fields', array(
        'ns1' => array(
            'label' => Language::_('Netim.nameserver.ns1', true),
            'type' => 'text'
        ),
        'ns2' => array(
            'label' => Language::_('Netim.nameserver.ns2', true),
            'type' => 'text'
        ),
        'ns3' => array(
            'label' => Language::_('Netim.nameserver.ns3', true),
            'type' => 'text'
        ),
        'ns4' => array(
            'label' => Language::_('Netim.nameserver.ns4', true),
            'type' => 'text'
        ),
        'ns5' => array(
            'label' => Language::_('Netim.nameserver.ns5', true),
            'type' => 'text'
        )
    ));

    // ------------------------------------------------
    // Whois
    // ------------------------------------------------
    
    // Whois sections
    Configure::set('Netim.whois_sections', array(
        'Registrant',
        'Billing',
        'Tech',
        'Admin',
        'Billing'
    ));

    // Whois fields
    Configure::set('Netim.whois_fields', array(
        'RegistrantFirstName' => array(
            'label' => Language::_('Netim.whois.RegistrantFirstName', true),
            'type' => 'text'
        ),
        'RegistrantLastName' => array(
            'label' => Language::_('Netim.whois.RegistrantLastName', true),
            'type' => 'text'
        ),
        'RegistrantBodyName' => array(
            'label' => Language::_('Netim.whois.RegistrantBodyName', true),
            'type' => 'text'
        ),
        'RegistrantAddress1' => array(
            'label' => Language::_('Netim.whois.RegistrantAddress1', true),
            'type' => 'text'
        ),
        'RegistrantAddress2' => array(
            'label' => Language::_('Netim.whois.RegistrantAddress2', true),
            'type' => 'text'
        ),
        'RegistrantCity' => array(
            'label' => Language::_('Netim.whois.RegistrantCity', true),
            'type' => 'text'
        ),
        'RegistrantStateProvince' => array(
            'label' => Language::_('Netim.whois.RegistrantStateProvince', true),
            'type' => 'text'
        ),
        'RegistrantPostalCode' => array(
            'label' => Language::_('Netim.whois.RegistrantPostalCode', true),
            'type' => 'text'
        ),
        'RegistrantCountry' => array(
            'label' => Language::_('Netim.whois.RegistrantCountry', true),
            'type' => 'text'
        ),
        'RegistrantPhone' => array(
            'label' => Language::_('Netim.whois.RegistrantPhone', true),
            'type' => 'text'
        ),
        'RegistrantEmailAddress' => array(
            'label' => Language::_('Netim.whois.RegistrantEmailAddress', true),
            'type' => 'text'
        ),
        'TechFirstName' => array(
            'label' => Language::_('Netim.whois.TechFirstName', true),
            'type' => 'text'
        ),
        'TechLastName' => array(
            'label' => Language::_('Netim.whois.TechLastName', true),
            'type' => 'text'
        ),
        'TechBodyName' => array(
            'label' => Language::_('Netim.whois.TechBodyName', true),
            'type' => 'text'
        ),
        'TechAddress1' => array(
            'label' => Language::_('Netim.whois.TechAddress1', true),
            'type' => 'text'
        ),
        'TechAddress2' => array(
            'label' => Language::_('Netim.whois.TechAddress2', true),
            'type' => 'text'
        ),
        'TechCity' => array(
            'label' => Language::_('Netim.whois.TechCity', true),
            'type' => 'text'
        ),
        'TechStateProvince' => array(
            'label' => Language::_('Netim.whois.TechStateProvince', true),
            'type' => 'text'
        ),
        'TechPostalCode' => array(
            'label' => Language::_('Netim.whois.TechPostalCode', true),
            'type' => 'text'
        ),
        'TechCountry' => array(
            'label' => Language::_('Netim.whois.TechCountry', true),
            'type' => 'text'
        ),
        'TechPhone' => array(
            'label' => Language::_('Netim.whois.TechPhone', true),
            'type' => 'text'
        ),
        'TechEmailAddress' => array(
            'label' => Language::_('Netim.whois.TechEmailAddress', true),
            'type' => 'text'
        ),
        'AdminFirstName' => array(
            'label' => Language::_('Netim.whois.AdminFirstName', true),
            'type' => 'text'
        ),
        'AdminLastName' => array(
            'label' => Language::_('Netim.whois.AdminLastName', true),
            'type' => 'text'
        ),
        'AdminBodyName' => array(
            'label' => Language::_('Netim.whois.AdminBodyName', true),
            'type' => 'text'
        ),
        'AdminAddress1' => array(
            'label' => Language::_('Netim.whois.AdminAddress1', true),
            'type' => 'text'
        ),
        'AdminAddress2' => array(
            'label' => Language::_('Netim.whois.AdminAddress2', true),
            'type' => 'text'
        ),
        'AdminCity' => array(
            'label' => Language::_('Netim.whois.AdminCity', true),
            'type' => 'text'
        ),
        'AdminStateProvince' => array(
            'label' => Language::_('Netim.whois.AdminStateProvince', true),
            'type' => 'text'
        ),
        'AdminPostalCode' => array(
            'label' => Language::_('Netim.whois.AdminPostalCode', true),
            'type' => 'text'
        ),
        'AdminCountry' => array(
            'label' => Language::_('Netim.whois.AdminCountry', true),
            'type' => 'text'
        ),
        'AdminPhone' => array(
            'label' => Language::_('Netim.whois.AdminPhone', true),
            'type' => 'text'
        ),
        'AdminEmailAddress' => array(
            'label' => Language::_('Netim.whois.AdminEmailAddress', true),
            'type' => 'text'
        ),
        'BillingFirstName' => array(
            'label' => Language::_('Netim.whois.BillingFirstName', true),
            'type' => 'text'
        ),
        'BillingLastName' => array(
            'label' => Language::_('Netim.whois.BillingLastName', true),
            'type' => 'text'
        ),
        'BillingBodyName' => array(
            'label' => Language::_('Netim.whois.BillingBodyName', true),
            'type' => 'text'
        ),
        'BillingAddress1' => array(
            'label' => Language::_('Netim.whois.BillingAddress1', true),
            'type' => 'text'
        ),
        'BillingAddress2' => array(
            'label' => Language::_('Netim.whois.BillingAddress2', true),
            'type' => 'text'
        ),
        'BillingCity' => array(
            'label' => Language::_('Netim.whois.BillingCity', true),
            'type' => 'text'
        ),
        'BillingStateProvince' => array(
            'label' => Language::_('Netim.whois.BillingStateProvince', true),
            'type' => 'text'
        ),
        'BillingPostalCode' => array(
            'label' => Language::_('Netim.whois.BillingPostalCode', true),
            'type' => 'text'
        ),
        'BillingCountry' => array(
            'label' => Language::_('Netim.whois.BillingCountry', true),
            'type' => 'text'
        ),
        'BillingPhone' => array(
            'label' => Language::_('Netim.whois.BillingPhone', true),
            'type' => 'text'
        ),
        'BillingEmailAddress' => array(
            'label' => Language::_('Netim.whois.BillingEmailAddress', true),
            'type' => 'text'
        )
    ));

    // ------------------------------------------------
    // Local contact and trustee services
    // ------------------------------------------------
    // Force the use of the service which is free of charges
    Configure::set('Netim.forcedtrustee', array(
        "ar","com.ar",
        "ba",
    ));

    // Force the use of the service which is free of charges
    Configure::set('Netim.forcedlocalcontact', array(
        "ba",
        //"ee", "com.ee",
        "fr","pm","re","tf","yf","yt",
        "hu","co.hu","org.hu",
        //"sg", "com.sg",
    ));

    // Mapping between extensions and trustee contact ID
    Configure::set('Netim.trusteeIDs', array(
        "TRUST4AR"=>array("ar","com.ar",'net.ar','org.ar'),
        "TRUST4BA"=>array("ba"),
        "TRUST4BG"=>array("bg"),
        "TRUST4BR"=>array("com.br","net.br"),
        "TRUST4FR"=>array("fr","pm","re","tf","yf","yt"),
        "TRUST4HR"=>array("hr"),
        "TRUST4HU"=>array("hu","co.hu","org.hu"),
        "TRUST4IT"=>array("it"),
        "TRUST4KR"=>array("kr","co.kr","pe.kr","re.kr","seoul.kr","ne.kr","or.kr"),
        "TRUST4MD"=>array("md"),
        "TRUST4NO"=>array("no"),
        "TRUST4SK"=>array("sk"),
        "TRUST4MR"=>array("mr","org.mr","edu.mr","perso.mr"),
        "TRUST4MY"=>array("my","com.my","org.my","net.my")
    ));

    // Mapping between extensions and local contact ID
    Configure::set('Netim.localcontactIDs', array(
        "NETIM4BA"=>array("ba"),
        "NETIM4EE"=>array("ee","com.ee"),
        "NETIM4FR"=>array("fr","pm","re","tf","yf","yt"),
        "NETIM4HU"=>array("hu","co.hu","org.hu"),
        "NETIM4JP"=>array("jp"),
        "NETIM4MA"=>array("ma","co.ma"),
        "NETIM4SG"=>array("sg","com.sg")
    ));     

?>