<?php

namespace Netim\Core
{
    function GetDomainID(\Record $rec, string $domain)
    {
        $res = $rec->
        select(array('service_id'))->
        from('service_fields')->
        where("key", '=', "domain")->
        where("value", '=', $domain)->
        fetchall();

		if(!empty($res))
        	return $res[0]->service_id;
		else
			return false;
	}
	
	function getCountryCodes(\Record $rec): array
    {
        $res = $rec->
        select(array('alpha2', 'name', 'alt_name'))->
        from('countries')->
		fetchall();
		
		$array = array();

		foreach($res as $row)
		{
			$array[$row->alpha2] = $row->name . ($row->alt_name? " - " . $row->alt_name:"");
		}


        return $array;
	}
	
	function getStateCodes(\Record $rec): array
    {
        $res = $rec->
        select(array('country_alpha2', 'code', 'name'))->
        from('states')->
		fetchall();
		
		$array = array();

		foreach($res as $row)
		{
			if(!array_key_exists($row->country_alpha2, $array)) $array[$row->country_alpha2] = array();
			$array[$row->country_alpha2][$row->code] = $row->name;
		}

        return $array;
    }

   	function getAdditionalFields($tld)
	{
		$json=file_get_contents(__DIR__ .DS.'..'. DS . 'additional_fields' . DS . 'additional_fields.json');
		$decoded_json=json_decode($json);

		if(isset($decoded_json->{$tld}))
			return $decoded_json->{$tld};
		else
			return false;
	}

	function translate($label)
    {
		$lang="en";
		include(__DIR__ .DS.'..'. DS . 'additional_fields' . DS . $lang.'.inc.php');
        $translation="";

        if(preg_match("#{{#",$label))
        {
            $temp=str_replace('{','',$label);
            $temp=str_replace('}','',$temp);
            if(isset($$temp))
                $translation=$$temp;
            else
                $translation = $label;
        }    
        else
            $translation = $label; 
    
		return $translation;	
        //return htmlentities($translation,ENT_QUOTES,'UTF-8');  
    }
}